<?xml version="1.0" encoding="utf-8"?>
<!--
/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
-->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          xmlns:tools="http://schemas.android.com/tools"
    package="com.android.captiveportallogin.tests">
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />

    <application android:debuggable="true">
        <uses-library android:name="android.test.runner" />
        <provider android:name="androidx.core.content.FileProvider"
                  android:authorities="com.android.captiveportallogin.tests.fileprovider"
                  android:exported="false"
                  android:grantUriPermissions="true"
                  tools:replace="android:authorities" >
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths"
                tools:replace="android:resource" />
        </provider>
        <activity
            android:name="com.android.captiveportallogin.CaptivePortalLoginActivityTest$InstrumentedCaptivePortalLoginActivity"/>
        <activity android:name="com.android.captiveportallogin.DownloadServiceTest$RequestDismissKeyguardActivity"/>
        <activity android:name="com.android.captiveportallogin.DownloadServiceTest$OpenTextFileActivity"
                  android:exported="false" >
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:scheme="content" />
                <data android:mimeType="text/vnd.captiveportallogin.testtxtfile" />
                <data android:pathPattern=".*\\.testtxtfile" />
            </intent-filter>
        </activity>
        <activity android:name="com.android.captiveportallogin.RequestDismissKeyguardActivity" />
    </application>
    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
        android:targetPackage="com.android.captiveportallogin.tests"
        android:label="Captive portal login tests">
    </instrumentation>
</manifest>
